Bug 184891 - audio/gtkguitune: Fix build on -current
Summary: audio/gtkguitune: Fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-21 10:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.87 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:25 UTC
- Fix build on -current
- Add LICENSE
- Add DESKTOP_ENTRIES

New file:
files/patch-lcdview.cc
Comment 1 Pawel Pekala freebsd_committer 2013-12-20 23:35:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 Pawel Pekala freebsd_committer 2013-12-21 01:05:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-12-21 01:05:47 UTC
Author: pawel
Date: Sat Dec 21 01:05:38 2013
New Revision: 337114
URL: http://svnweb.freebsd.org/changeset/ports/337114

Log:
  - Fix build with clang
  - Add LICENSE, desktop entry file
  - Support staging
  
  PR:		ports/184891
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Added:
  head/audio/gtkguitune/files/
  head/audio/gtkguitune/files/patch-lcdview.cc   (contents, props changed)
Modified:
  head/audio/gtkguitune/Makefile   (contents, props changed)
  head/audio/gtkguitune/pkg-descr   (contents, props changed)

Modified: head/audio/gtkguitune/Makefile
==============================================================================
--- head/audio/gtkguitune/Makefile	Sat Dec 21 00:58:05 2013	(r337113)
+++ head/audio/gtkguitune/Makefile	Sat Dec 21 01:05:38 2013	(r337114)
@@ -3,32 +3,35 @@
 
 PORTNAME=	gtkguitune
 PORTVERSION=	0.8
-PORTREVISION=	3
+DISTVERSIONPREFIX=	gtk2-
+PORTREVISION=	4
 CATEGORIES=	audio
-MASTER_SITES=	http://www.oocities.org/harpin_floh/mysoft/
-DISTNAME=	${PORTNAME}-gtk2-${PORTVERSION}
+MASTER_SITES=	GENTOO/distfiles \
+		http://www.oocities.org/harpin_floh/mysoft/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Guitar (and other instruments) tuner for GTK+2
 
-LIB_DEPENDS=	libgtkmm-2.4.so:${PORTSDIR}/x11-toolkits/gtkmm24
+LICENSE=	GPLv2 # (or later)
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USES=		pkgconfig
-NO_STAGE=	yes
+USE_GNOME=	gtkmm24
 GNU_CONFIGURE=	yes
 INSTALLS_ICONS=	yes
 
 PLIST_FILES=	bin/${PORTNAME} \
 		share/icons/hicolor/scalable/apps/guitune_logo.svg
 
+DESKTOP_ENTRIES="GtkGuitune" "" "guitune_logo" "${PORTNAME}" "" ""
+
 post-patch:
 	@${REINPLACE_CMD} -e \
 		's|VERSION=0.7|VERSION=${PORTVERSION}|g' ${WRKSRC}/configure
-.for file in guitune.cc main.cc
+.for i in guitune.cc main.cc
 	@${REINPLACE_CMD} -e \
-		's|<linux/soundcard.h>|<sys/soundcard.h>|' ${WRKSRC}/${file}
+		's|<linux/soundcard.h>|<sys/soundcard.h>|' ${WRKSRC}/${i}
 .endfor
 
 .include <bsd.port.mk>

Added: head/audio/gtkguitune/files/patch-lcdview.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/gtkguitune/files/patch-lcdview.cc	Sat Dec 21 01:05:38 2013	(r337114)
@@ -0,0 +1,16 @@
+--- lcdview.cc.orig
++++ lcdview.cc
+@@ -23,11 +23,12 @@
+ 
+ #include "lcdview.h"
+ 
+-LCDView::LCDView(const char * str = 0)
++LCDView::LCDView(const char * str)
+ {
+     i_LCD_num = 11;
+     i_string_maxlen = 1000;
+     i_string = new char [i_string_maxlen];
++    str = 0;
+     set( str );
+         
+     i_col_bg. set( "black" );      get_colormap()->alloc_color( i_col_bg  );

Modified: head/audio/gtkguitune/pkg-descr
==============================================================================
--- head/audio/gtkguitune/pkg-descr	Sat Dec 21 00:58:05 2013	(r337113)
+++ head/audio/gtkguitune/pkg-descr	Sat Dec 21 01:05:38 2013	(r337114)
@@ -1,6 +1,7 @@
-gtkguitune is a program for tuning guitars and other instruments.  Rather than
-using FFT like many programs, it counts the number of triggerings between two
-trigger levels in a certain amount of time, which tends to be more accurate for
-instrument tuning while requiring less processing than FFT.
+gtkguitune is a program for tuning guitars and other instruments.
+Rather than using FFT like many programs, it counts the number of
+triggerings between two trigger levels in a certain amount of time,
+which tends to be more accurate for instrument tuning while requiring
+less processing than FFT.
 
 WWW: http://www.oocities.com/harpin_floh/kguitune_page.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2013-12-21 10:31:32 UTC
Author: mat
Date: Sat Dec 21 10:31:22 2013
New Revision: 337132
URL: http://svnweb.freebsd.org/changeset/ports/337132

Log:
  MFH: r337114
  
  - Fix build with clang
  - Add LICENSE, desktop entry file
  - Support staging
  
  PR:		ports/184891
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>
  Approved by:	portmgr (implicit)

Added:
  branches/2014Q1/audio/gtkguitune/files/
     - copied from r337114, head/audio/gtkguitune/files/
Modified:
  branches/2014Q1/audio/gtkguitune/Makefile   (contents, props changed)
  branches/2014Q1/audio/gtkguitune/pkg-descr   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/audio/gtkguitune/Makefile
==============================================================================
--- branches/2014Q1/audio/gtkguitune/Makefile	Sat Dec 21 10:30:22 2013	(r337131)
+++ branches/2014Q1/audio/gtkguitune/Makefile	Sat Dec 21 10:31:22 2013	(r337132)
@@ -3,32 +3,35 @@
 
 PORTNAME=	gtkguitune
 PORTVERSION=	0.8
-PORTREVISION=	3
+DISTVERSIONPREFIX=	gtk2-
+PORTREVISION=	4
 CATEGORIES=	audio
-MASTER_SITES=	http://www.oocities.org/harpin_floh/mysoft/
-DISTNAME=	${PORTNAME}-gtk2-${PORTVERSION}
+MASTER_SITES=	GENTOO/distfiles \
+		http://www.oocities.org/harpin_floh/mysoft/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Guitar (and other instruments) tuner for GTK+2
 
-LIB_DEPENDS=	libgtkmm-2.4.so:${PORTSDIR}/x11-toolkits/gtkmm24
+LICENSE=	GPLv2 # (or later)
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USES=		pkgconfig
-NO_STAGE=	yes
+USE_GNOME=	gtkmm24
 GNU_CONFIGURE=	yes
 INSTALLS_ICONS=	yes
 
 PLIST_FILES=	bin/${PORTNAME} \
 		share/icons/hicolor/scalable/apps/guitune_logo.svg
 
+DESKTOP_ENTRIES="GtkGuitune" "" "guitune_logo" "${PORTNAME}" "" ""
+
 post-patch:
 	@${REINPLACE_CMD} -e \
 		's|VERSION=0.7|VERSION=${PORTVERSION}|g' ${WRKSRC}/configure
-.for file in guitune.cc main.cc
+.for i in guitune.cc main.cc
 	@${REINPLACE_CMD} -e \
-		's|<linux/soundcard.h>|<sys/soundcard.h>|' ${WRKSRC}/${file}
+		's|<linux/soundcard.h>|<sys/soundcard.h>|' ${WRKSRC}/${i}
 .endfor
 
 .include <bsd.port.mk>

Modified: branches/2014Q1/audio/gtkguitune/pkg-descr
==============================================================================
--- branches/2014Q1/audio/gtkguitune/pkg-descr	Sat Dec 21 10:30:22 2013	(r337131)
+++ branches/2014Q1/audio/gtkguitune/pkg-descr	Sat Dec 21 10:31:22 2013	(r337132)
@@ -1,6 +1,7 @@
-gtkguitune is a program for tuning guitars and other instruments.  Rather than
-using FFT like many programs, it counts the number of triggerings between two
-trigger levels in a certain amount of time, which tends to be more accurate for
-instrument tuning while requiring less processing than FFT.
+gtkguitune is a program for tuning guitars and other instruments.
+Rather than using FFT like many programs, it counts the number of
+triggerings between two trigger levels in a certain amount of time,
+which tends to be more accurate for instrument tuning while requiring
+less processing than FFT.
 
 WWW: http://www.oocities.com/harpin_floh/kguitune_page.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"